Public Class Form1

    'Declare a form level array
    Private strFriends(4) As String

    Private Sub btnArrayElement_Click(ByVal sender As System.Object, _
        ByVal e As System.EventArgs) Handles btnArrayElement.Click

        'Declare an array
        Dim strFriends(4) As String

        'Populate the array
        strFriends(0) = "Robbin"
        strFriends(1) = "Bryan"
        strFriends(2) = "Stephanie"
        strFriends(3) = "Sydney"
        strFriends(4) = "Katie"

        'Add the first array item to the list
        lstFriends.Items.Add(strFriends(0))
    End Sub

    Private Sub Form1_Load(ByVal sender As Object, _
        ByVal e As System.EventArgs) Handles Me.Load

        'Populate the array
        strFriends(0) = "Robbin"
        strFriends(1) = "Bryan"
        strFriends(2) = "Stephanie"
        strFriends(3) = "Sydney"
        strFriends(4) = "Katie"
    End Sub

    Private Sub btnEnumerateArray_Click(ByVal sender As System.Object, _
        ByVal e As System.EventArgs) Handles btnEnumerateArray.Click

        'Enumerate the array
        For Each strName As String In strFriends
            'Add the array item to the list
            lstFriends.Items.Add(strName)
        Next
    End Sub

    Private Sub btnArraysAsParameters_Click(ByVal sender As System.Object, _
        ByVal e As System.EventArgs) Handles btnArraysAsParameters.Click

        'List your friends
        AddItemsToList(strFriends)
    End Sub

    Sub AddItemsToList(ByVal arrayList() As String)
        'Enumerate the array
        For Each strName As String In arrayList
            'Add the array item to the list
            'lstFriends.Items.Add(strName)
            lstFriends.Items.Add("[" & strName & "]")
        Next
    End Sub

    Private Sub btnMoreArrayParameters_Click(ByVal sender As System.Object, _
        ByVal e As System.EventArgs) Handles btnMoreArrayParameters.Click

        'Declare an array
        Dim strMoreFriends(1) As String

        'Populate the array
        strMoreFriends(0) = "Matt"
        strMoreFriends(1) = "Margie"

        'List your friends
        AddItemsToList(strFriends)
        AddItemsToList(strMoreFriends)
    End Sub

    Private Sub btnSortingArrays_Click(ByVal sender As System.Object, _
        ByVal e As System.EventArgs) Handles btnSortingArrays.Click

        'Sort the array
        Array.Sort(strFriends)

        'List your friends
        AddItemsToList(strFriends)
    End Sub

    Private Sub btnReversingAnArray_Click(ByVal sender As System.Object, _
        ByVal e As System.EventArgs) Handles btnReversingAnArray.Click

        'Reverse the order - elements will be in descending order
        Array.Reverse(strFriends)

        'List your friends
        AddItemsToList(strFriends)
    End Sub

    Private Sub btnInitializingArraysWithValues_Click( _
        ByVal sender As System.Object, ByVal e As System.EventArgs) _
        Handles btnInitializingArraysWithValues.Click

        'Declare and populate an array
        Dim strMyFriends() As String = {"Robbin", "Bryan", "Stephanie", _
            "Sydney", "Katie"}

        'Make the strMyFriends array larger
        'ReDim strMyFriends(6)
        ReDim Preserve strMyFriends(6)
        strMyFriends(5) = "Matt"
        strMyFriends(6) = "Jay"

        'List your friends
        AddItemsToList(strMyFriends)
    End Sub
End Class
